Package com.tibco.patterns.dedupe_utils

## Class JoinsetQuerySource

- java.lang.Object
- - com.tibco.patterns.deduplication.NetricsRecQuerySource
  - - com.tibco.patterns.dedupe_utils.CursorQuerySource
    - - com.tibco.patterns.dedupe_utils.JoinsetQuerySource

- All Implemented Interfaces:
    `KeyedQuerySource`

      public class JoinsetQuerySource
      extends CursorQuerySource

  Class to scan a TIBCO Patterns - Search join-set, producing a KeyedQuery for each compound record.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JoinsetQuerySource​(java.lang.String parent_table_name, java.lang.String[] child_table_names, com.netrics.likeit.NetricsServerInterface host, QueryBuilder<KeyedNetricsRecord> query_builder)` | Create a JoinsetQuerySource instance.
    `JoinsetQuerySource​(java.lang.String parent_table_name, java.lang.String[] child_table_names, java.lang.String host_address, int host_port, QueryBuilder<KeyedNetricsRecord> query_builder)` | Create a JoinsetQuerySource instance.

  - ### Method Summary

    - ### Methods inherited from class com.tibco.patterns.dedupe_utils.CursorQuerySource

      `getCursor`

    - ### Methods inherited from class com.tibco.patterns.deduplication.NetricsRecQuerySource

      `getPosition, getQueriesProduced, getQueryLimit, isEOS, next, setQueryLimit`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JoinsetQuerySource

          public JoinsetQuerySource​(java.lang.String parent_table_name,
                                    java.lang.String[] child_table_names,
                                    java.lang.String host_address,
                                    int host_port,
                                    QueryBuilder<KeyedNetricsRecord> query_builder)

      Create a JoinsetQuerySource instance.

      A JoinsetQuerySource uses a NetricsTableCursor to scan a join-set resident in a TIBCO Patterns - Search server.

      Parameters:
        `parent_table_name` - Name of the parent table in the join-set
        `child_table_names` - Hanmes of child tables in the join-set
        `host_address` - Address (DNS name or IP Address) of the TIBCO Patterns Search host.
        `host_port` - TCP port of the TIBCO Patterns - Search host.
        `query_builder` - Defines how to build the KeyedQuery from a compound record.

    - #### JoinsetQuerySource

          public JoinsetQuerySource​(java.lang.String parent_table_name,
                                    java.lang.String[] child_table_names,
                                    com.netrics.likeit.NetricsServerInterface host,
                                    QueryBuilder<KeyedNetricsRecord> query_builder)

      Create a JoinsetQuerySource instance.

      A JoinsetQuerySource uses a NetricsTableCursor to scan a join-set resident in a TIBCO Patterns - Search server.

      Parameters:
        `parent_table_name` - Name of the parent table in the join-set
        `child_table_names` - Hanmes of child tables in the join-set
        `host` - a TIBCO Patterns - Search host.
        `query_builder` - Defines how to build the KeyedQuery from a compound record.